---
title: Create
url: https://www.tines.com/docs/api/admin/roles/create/
updated: 2026-04-09T14:16:41+00:00
description: Create a custom role in a Tines tenant.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Roles](https://www.tines.com/llm/docs/api/admin/roles.md)*

# Create

*[View on tines.com](https://www.tines.com/docs/api/admin/roles/create/)*

## Description

Create a custom role in a Tines tenant.

## Request

HTTP Method: **POST**

| Body Parameter | Description                                              |
| -------------- | -------------------------------------------------------- |
| name           | **Required** Role name.                                  |
| description    | **Optional** A description of the role.                  |
| permissions    | **Required** A list of permissions to apply to the role. |

### Sample request

```bash

curl -X POST \
  https://<tenant-domain>/api/v1/admin/roles \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
       "name": "MY_ROLE",
       "description": "My fantastic role",
       "permissions": ["STORY_CREATE"]
      }'
```

## Response

A successful request will return a JSON object describing the created role.

### Field description

| Parameter   | Description                                                                      |
| ----------- | -------------------------------------------------------------------------------- |
| id          | Role ID.                                                                         |
| name        | Role name.                                                                       |
| type        | Role type - custom.                                                              |
| description | Role description.                                                                |
| permissions | Array of applied permissions.                                                    |
| created_at  | Timestamp describing when the role was created.                                  |
| updated_at  | Timestamp describing when the role was last updated.                             |
| builder     | Boolean indicating whether this role grants builder / story editing permissions. |

### Sample response

<!-- cspell:disable -->

```json
{
  "id": "123",
  "name": "MY_ROLE",
  "type": "custom",
  "description": "My fantastic role",
  "permissions": ["STORY_CREATE"],
  "created_at": "2019-11-03T09:57:49.537Z",
  "updated_at": "2019-11-03T09:57:49.537Z",
  "builder": true
}
```

<!-- cspell:enable -->
